Open Lighting Architecture: ola::rdm::FakeSensor Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ola::rdm::FakeSensor Class Reference

## Detailed Description

A class which represents a sensor.

Inheritance diagram for ola::rdm::FakeSensor:

## Public Member Functions
| FakeSensor (ola::rdm::rdm_sensor_type type, ola::rdm::rdm_pid_unit unit, ola::rdm::rdm_pid_prefix prefix, const string &description, const SensorOptions &options)
Public Member Functions inherited from ola::rdm::Sensor
| Sensor (ola::rdm::rdm_sensor_type type, ola::rdm::rdm_pid_unit unit, ola::rdm::rdm_pid_prefix prefix, const std::string &description, const SensorOptions &options)
rdm_sensor_type | Type () const
rdm_pid_unit | Unit () const
rdm_pid_prefix | Prefix () const
int16_t | RangeMin () const
int16_t | RangeMax () const
int16_t | NormalMin () const
int16_t | NormalMax () const
const std::string & | Description () const
int16_t | Lowest () const
int16_t | Highest () const
int16_t | Recorded () const
int16_t | FetchValue ()
| Get the current value, store any new min or max and return it.
void | Record ()
int16_t | Reset ()
uint8_t | RecordedSupportBitMask () const

## Protected Member Functions
int16_t | PollSensor ()

## Additional Inherited Members
Protected Attributes inherited from ola::rdm::Sensor
const ola::rdm::rdm_sensor_type | m_type
const ola::rdm::rdm_pid_unit | m_unit
const ola::rdm::rdm_pid_prefix | m_prefix
const std::string | m_description
const bool | m_recorded_value_support
const bool | m_recorded_range_support
const int16_t | m_range_min
const int16_t | m_range_max
const int16_t | m_normal_min
const int16_t | m_normal_max
int16_t | m_lowest
int16_t | m_highest
int16_t | m_recorded

## Member Function Documentation

## ◆ PollSensor()

int16_t ola::rdm::FakeSensor::PollSensor | ( |  | ) |
| protectedvirtual

Fetch a Sensor value

Implements ola::rdm::Sensor.

The documentation for this class was generated from the following file:

- common/rdm/SensorResponder.cpp